OTBCLI_SAMPLEAUGMENTATION(1)

NAME
otbcli_SampleAugmentation - OTB SampleAugmentation application

DESCRIPTION
This is the Sample Augmentation (SampleAugmentation) application, version 6.6.0

Generates synthetic samples from a sample data file. Complete documentation: http://www.orfeo-toolbox.org/Applications/SampleAugmentation.html or -help

Parameters: -in <string> Input samples (mandatory) -out <string> Output samples (mandatory)

-field
    <string> Field Name (mandatory, no default value)

-layer
    <int32> Layer Index (optional, off by default, default value is 0)

-label
    <int32> Label of the class to be augmented (mandatory, default value is 1)

-samples
    <int32> Number of generated samples (mandatory, default value is 100)

-exclude
    <string list> Field names for excluded features. (mandatory, no default value)

-strategy
    <string> Augmentation strategy [replicate/jitter/smote] (mandatory, default value is replicate)

-strategy.jitter.stdfactor <float>
    Factor for dividing the standard deviation of each feature (mandatory, default value is 10)

-strategy.smote.neighbors
    <int32> Number of nearest neighbors. (mandatory)

-seed
    <int32> set user defined seed (optional, off by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbcli_SampleAugmentation -in samples.sqlite -field class -label 3 -samples 100 -out augmented_samples.sqlite -exclude OGC_FID name class originfid -strategy smote -strategy.smote.neighbors 5